import { Style } from '../system/platform/Props';
import { Dict } from '../types/Dict';
import { Component } from './component';
import { IOElement } from './IOElement';
import { Size } from './util/geometry';
export declare function extractStyle(component: Component, measureText: (text: string, fontSize: number) => Size): Style;
export declare function _extractStyle(component: Component, element: IOElement, measureText: (text: string, fontSize: number) => Size): Style;
export declare function rawExtractStyle(element: HTMLElement | SVGElement): Dict<string>;
